/*
 * @Author: 傅豪杰 18516149270@163.com
 * @Date: 2023-07-24 13:57:02
 * @LastEditors: 傅豪杰 18516149270@163.com
 * @LastEditTime: 2023-08-17 15:41:53
 * @FilePath: /infrared_remote/admin_web/ruoyi-ui/src/api/template/addTemplate/index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/utils/request'

export class AddTemplateApi {
  getList = (data={})=>{
    return  request({
        url: '/platform/v1/template/list',
        method: 'post',
        data: data
    })
  }

  configAddOrEdit = (data={})=>{
    return  request({
        url: '/platform/v1/template/addOrUpdate',
        method: 'post',
        data: data
    })
  }

  configDetail = (data={})=>{
    return  request({
        url: '/platform/v1/template/getInfo',
        method: 'post',
        data: data
    })
  }

  configDelete = (data={})=>{
    return  request({
        url: '/platform/v1/template/delete',
        method: 'post',
        data: data
    })
  }

  getMerchantList = (data={})=>{
    return  request({
        url: '/platform/v1/merchantUser/allList',
        method: 'post',
        data: data
    })
  }
}

export const addTemplateApi = new AddTemplateApi()