/*
 * @Author: 傅豪杰 18516149270@163.com
 * @Date: 2023-07-24 13:57:02
 * @LastEditors: 傅豪杰 18516149270@163.com
 * @LastEditTime: 2023-08-24 13:51:28
 * @FilePath: /infrared_remote/admin_web/ruoyi-ui/src/api/template/addTemplate/index.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/utils/request'

export class MerchantApi {
    // 商家列表
    getList = (data={})=>{
        return  request({
            url: '/platform/v1/merchantUser/list',
            method: 'post',
            data: data
        })
    }

    // 新增/编辑商家
    addOrUpdate= (data={})=>{
        return  request({
            url: '/platform/v1/merchantUser/addOrUpdate',
            method: 'post',
            data: data
        })
    }

    // 删除
    delete = (data={})=>{
        return  request({
            url: '/platform/v1/merchantUser/delete',
            method: 'post',
            data: data
        })
    }
 
}

export const merchantApi = new MerchantApi()