/*
 * @Author: 傅豪杰 18516149270@163.com
 * @Date: 2023-08-02 16:19:30
 * @LastEditors: 傅豪杰 18516149270@163.com
 * @LastEditTime: 2024-01-10 10:20:24
 * @FilePath: /infrared_remote/admin_web/ruoyi-ui/src/api/user.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import request from '@/utils/request'

export class BaseUserApi {
  getList = ( data={} )=> {
    return  request({
        url: '/platform/v1/userInfo/list',
        method: 'post',
        data: data
    })
  }
  userAddress = (data={})=>{
    return  request({
        url: '/platform/v1/userInfo/userAddress',
        method: 'post',
        data: data
  })
  }
  // 获取地图数据
  getMapData = (data={})=>{
    return  request({
        url: '/platform/v1/userInfo/distributed',
        method: 'post',
        data: data
    })
  }
  
  // 用户列表页 获取用户列表
  getUserList = ( data={} )=> {
    return  request({
        url: '/platform/v1/userInfo/userList',
        method: 'post',
        data: data
    })
  }

}
export const baseUserApi = new BaseUserApi()